aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-07-23 19:58:39 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-07-23 19:58:39 +1200
commitf21bccc341f29cecc193561cc4d523183dbc3a2a (patch)
tree48b492b96f9519385ed71f4c3474507c2905c0fe
parentRemove custom length limit on login fortunes (diff)
downloaddotfiles-f21bccc341f29cecc193561cc4d523183dbc3a2a.tar.gz
dotfiles-f21bccc341f29cecc193561cc4d523183dbc3a2a.zip
Rename vis(1) to eds(1)
vis(1) is in OpenBSD >=4.4 base
-rw-r--r--README.markdown4
-rwxr-xr-xbin/eds (renamed from bin/vis)12
-rw-r--r--man/man1/eds.115
-rw-r--r--man/man1/vis.115
4 files changed, 23 insertions, 23 deletions
diff --git a/README.markdown b/README.markdown
index 3c1c4acb..d4ed91cc 100644
--- a/README.markdown
+++ b/README.markdown
@@ -305,6 +305,8 @@ Installed by the `install-bin` target:
* `dub(1)` lists the biggest entries in a directory.
* `edda(1)` provides a means to run `ed(1)` over a set of files preserving
any options, mostly useful for scripts.
+* `eds(1)` edits executable script files in `EDSPATH`, defaulting to
+ `~/.local/bin`, for personal scripting snippets.
* `fgscr(1)` finds Git repositories in a directory root and scrubs them with
`gscr(1)`.
* `gms(1)` runs a set of `getmailrc` files; does much the same thing as the
@@ -337,8 +339,6 @@ Installed by the `install-bin` target:
* `try(1)` repeats a command up to a given number of times until it succeeds,
only printing error output if all three attempts failed. Good for
tolerating blips or temporary failures in `cron(8)` scripts.
-* `vis(1)` edits executable script files in `VISPATH`, defaulting to
- `~/.local/bin`, for personal scripting snippets.
There's some silly stuff in `install-games`:
diff --git a/bin/vis b/bin/eds
index 01ff31cf..6cc9fdab 100755
--- a/bin/vis
+++ b/bin/eds
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
#
-# vis(1) -- Create and edit executable scripts in a directory VISPATH (defaults
+# eds(1) -- Create and edit executable scripts in a directory EDSPATH (defaults
# to ~/.local/bin).
#
# Author: Tom Ryder
@@ -10,7 +10,7 @@
#
# Name self
-self=vis
+self=eds
# Define a function to show usage
usage() {
@@ -47,14 +47,14 @@ if ! (($#)) ; then
fi
# Create the script directory if it doesn't exist yet
-vispath=${VISPATH:-$HOME/.local/bin}
-if [[ ! -d $vispath ]] ; then
- mkdir -p -- "$vispath" || exit
+edspath=${EDSPATH:-$HOME/.local/bin}
+if [[ ! -d $edspath ]] ; then
+ mkdir -p -- "$edspath" || exit
fi
# Create a new array with the script directory prepended to the given names
declare -a files
-files=("${@/#/$vispath/}")
+files=("${@/#/$edspath/}")
# Collect the names of any scripts that don't exist yet so we can make them
# executable after we're done editing
diff --git a/man/man1/eds.1 b/man/man1/eds.1
new file mode 100644
index 00000000..545f90fc
--- /dev/null
+++ b/man/man1/eds.1
@@ -0,0 +1,15 @@
+.TH VIS 1 "November 2015" "Manual page for eds"
+.SH NAME
+.B eds
+\- create and edit personal scripts
+.SH SYNOPSIS
+.B eds [EDITOR_OPTS] [--] FILE1 [FILE2...]
+.SH DESCRIPTION
+Create and edit executable scripts in a directory EDSPATH (defaults to
+~/.local/bin). Makes any created files executable for convenience.
+.P
+ $ eds myscript
+ $ eds myscript newscript
+ $ EDITOR=vim eds -O tabone tabtwo
+.SH AUTHOR
+Tom Ryder <tom@sanctum.geek.nz>
diff --git a/man/man1/vis.1 b/man/man1/vis.1
deleted file mode 100644
index 588cedb2..00000000
--- a/man/man1/vis.1
+++ /dev/null
@@ -1,15 +0,0 @@
-.TH VIS 1 "November 2015" "Manual page for vis"
-.SH NAME
-.B vis
-\- create and edit personal scripts
-.SH SYNOPSIS
-.B vis [EDITOR_OPTS] [--] FILE1 [FILE2...]
-.SH DESCRIPTION
-Create and edit executable scripts in a directory VISPATH (defaults to
-~/.local/bin). Makes any created files executable for convenience.
-.P
- $ vis myscript
- $ vis myscript newscript
- $ EDITOR=vim vis -O tabone tabtwo
-.SH AUTHOR
-Tom Ryder <tom@sanctum.geek.nz>